Activity log for bug #1880031

Date Who What changed Old value New value Message
2020-05-21 21:46:32 riu bug added bug
2020-05-21 21:47:11 riu description This was discovered when investigating fox for bug 1868529. Aspect ratio is still not correct for images that are more narrow than the container. To reproduce, create an image that has aspect ratio, e.g., ~0.5 (e.g. width = 250 and height = 500). Line in fileItem.js where we calculate icon width does not count the margins (zero is used instead of actual margins): let iconWidth = Prefs.getDesiredWidth(scaleFactor, 0); Here is how the margins are being calculated in desktopGrid.js: this._extra_width = themeNode.get_margin(St.Side.LEFT) + themeNode.get_margin(St.Side.RIGHT) + themeNode.get_border_width(St.Side.LEFT) + themeNode.get_border_width(St.Side.RIGHT) + themeNode.get_horizontal_padding(); this._extra_height = themeNode.get_margin(St.Side.TOP) + themeNode.get_margin(St.Side.BOTTOM) + themeNode.get_border_width(St.Side.TOP) + themeNode.get_border_width(St.Side.BOTTOM) + themeNode.get_vertical_padding(); This was discovered when investigating fix for bug #1868529. Aspect ratio is still not correct for images that are more narrow than the container. To reproduce, create an image that has aspect ratio, e.g., ~0.5 (e.g. width = 250 and height = 500). Line in fileItem.js where we calculate icon width does not count the margins (zero is used instead of actual margins): let iconWidth = Prefs.getDesiredWidth(scaleFactor, 0); Here is how the margins are being calculated in desktopGrid.js:         this._extra_width = themeNode.get_margin(St.Side.LEFT) +                              themeNode.get_margin(St.Side.RIGHT) +                              themeNode.get_border_width(St.Side.LEFT) +                              themeNode.get_border_width(St.Side.RIGHT) +                              themeNode.get_horizontal_padding();         this._extra_height = themeNode.get_margin(St.Side.TOP) +                              themeNode.get_margin(St.Side.BOTTOM) +                              themeNode.get_border_width(St.Side.TOP) +                              themeNode.get_border_width(St.Side.BOTTOM) +                              themeNode.get_vertical_padding();
2020-05-21 21:54:59 riu description This was discovered when investigating fix for bug #1868529. Aspect ratio is still not correct for images that are more narrow than the container. To reproduce, create an image that has aspect ratio, e.g., ~0.5 (e.g. width = 250 and height = 500). Line in fileItem.js where we calculate icon width does not count the margins (zero is used instead of actual margins): let iconWidth = Prefs.getDesiredWidth(scaleFactor, 0); Here is how the margins are being calculated in desktopGrid.js:         this._extra_width = themeNode.get_margin(St.Side.LEFT) +                              themeNode.get_margin(St.Side.RIGHT) +                              themeNode.get_border_width(St.Side.LEFT) +                              themeNode.get_border_width(St.Side.RIGHT) +                              themeNode.get_horizontal_padding();         this._extra_height = themeNode.get_margin(St.Side.TOP) +                              themeNode.get_margin(St.Side.BOTTOM) +                              themeNode.get_border_width(St.Side.TOP) +                              themeNode.get_border_width(St.Side.BOTTOM) +                              themeNode.get_vertical_padding(); This was discovered when investigating fix for bug #1868529. Aspect ratio is still not correct for images that are more narrow than the container. To reproduce, create an image that has aspect ratio, e.g., ~0.5 (e.g. width = 250 and height = 500). Line in fileItem.js where we calculate icon width does not count the margins (zero is used instead of actual margins): let containerWidth = Prefs.getDesiredWidth(scaleFactor, 0); Here is how the margins are being calculated in desktopGrid.js:         this._extra_width = themeNode.get_margin(St.Side.LEFT) +                              themeNode.get_margin(St.Side.RIGHT) +                              themeNode.get_border_width(St.Side.LEFT) +                              themeNode.get_border_width(St.Side.RIGHT) +                              themeNode.get_horizontal_padding();         this._extra_height = themeNode.get_margin(St.Side.TOP) +                              themeNode.get_margin(St.Side.BOTTOM) +                              themeNode.get_border_width(St.Side.TOP) +                              themeNode.get_border_width(St.Side.BOTTOM) +                              themeNode.get_vertical_padding();
2020-05-22 01:48:13 Daniel van Vugt bug added subscriber Daniel van Vugt
2020-05-22 01:48:28 Daniel van Vugt tags 20.04 20.04 focal
2020-05-22 19:02:59 riu bug watch added https://gitlab.gnome.org/World/ShellExtensions/desktop-icons/-/issues/205
2020-05-22 19:04:29 riu bug task added gnome-shell-extension-desktop-icons
2020-05-25 03:56:28 Daniel van Vugt gnome-shell-extension-desktop-icons (Ubuntu): status New Fix Committed
2020-05-25 03:56:35 Daniel van Vugt tags 20.04 focal 20.04 fixed-upstream focal
2020-07-22 01:51:13 Launchpad Janitor gnome-shell-extension-desktop-icons (Ubuntu): status Fix Committed Fix Released
2020-07-22 13:36:54 Marco Trevisan (Treviño) nominated for series Ubuntu Focal
2020-07-22 13:36:54 Marco Trevisan (Treviño) bug task added gnome-shell-extension-desktop-icons (Ubuntu Focal)
2020-07-22 13:37:02 Marco Trevisan (Treviño) gnome-shell-extension-desktop-icons (Ubuntu Focal): status New Fix Committed
2020-07-22 13:40:17 Marco Trevisan (Treviño) description This was discovered when investigating fix for bug #1868529. Aspect ratio is still not correct for images that are more narrow than the container. To reproduce, create an image that has aspect ratio, e.g., ~0.5 (e.g. width = 250 and height = 500). Line in fileItem.js where we calculate icon width does not count the margins (zero is used instead of actual margins): let containerWidth = Prefs.getDesiredWidth(scaleFactor, 0); Here is how the margins are being calculated in desktopGrid.js:         this._extra_width = themeNode.get_margin(St.Side.LEFT) +                              themeNode.get_margin(St.Side.RIGHT) +                              themeNode.get_border_width(St.Side.LEFT) +                              themeNode.get_border_width(St.Side.RIGHT) +                              themeNode.get_horizontal_padding();         this._extra_height = themeNode.get_margin(St.Side.TOP) +                              themeNode.get_margin(St.Side.BOTTOM) +                              themeNode.get_border_width(St.Side.TOP) +                              themeNode.get_border_width(St.Side.BOTTOM) +                              themeNode.get_vertical_padding(); [ Impact ] Image thumbnails are stretched if the aspect ratio is less than the one of the container [ Test case ] To reproduce, create an image that has aspect ratio, e.g., ~0.5 (e.g. width = 250 and height = 500) Save it in the desktop and ensure that the image has proper proportions. [ Regression potential ] Image thumbnails are distorted ---- This was discovered when investigating fix for bug #1868529. Aspect ratio is still not correct for images that are more narrow than the container. To reproduce, create an image that has aspect ratio, e.g., ~0.5 (e.g. width = 250 and height = 500). Line in fileItem.js where we calculate icon width does not count the margins (zero is used instead of actual margins): let containerWidth = Prefs.getDesiredWidth(scaleFactor, 0); Here is how the margins are being calculated in desktopGrid.js: this._extra_width = themeNode.get_margin(St.Side.LEFT) + themeNode.get_margin(St.Side.RIGHT) + themeNode.get_border_width(St.Side.LEFT) + themeNode.get_border_width(St.Side.RIGHT) + themeNode.get_horizontal_padding(); this._extra_height = themeNode.get_margin(St.Side.TOP) + themeNode.get_margin(St.Side.BOTTOM) + themeNode.get_border_width(St.Side.TOP) + themeNode.get_border_width(St.Side.BOTTOM) + themeNode.get_vertical_padding();
2020-07-29 12:08:18 Robie Basak bug added subscriber Ubuntu Stable Release Updates Team
2020-07-29 12:08:20 Robie Basak bug added subscriber SRU Verification
2020-07-29 12:08:23 Robie Basak tags 20.04 fixed-upstream focal 20.04 fixed-upstream focal verification-needed verification-needed-focal
2020-08-12 02:18:34 Daniel van Vugt tags 20.04 fixed-upstream focal verification-needed verification-needed-focal 20.04 fixed-upstream focal verification-done verification-done-focal
2020-08-12 05:50:57 Chris Halse Rogers removed subscriber Ubuntu Stable Release Updates Team
2020-08-12 05:51:24 Launchpad Janitor gnome-shell-extension-desktop-icons (Ubuntu Focal): status Fix Committed Fix Released
2020-09-02 07:36:26 Antonin Chambolle attachment added screenshot https://bugs.launchpad.net/ubuntu/+source/gnome-shell-extension-desktop-icons/+bug/1880031/+attachment/5406857/+files/Capture%20d%E2%80%99%C3%A9cran%20de%202020-09-02%2009-32-57.png